program UpdVer;
{$APPTYPE CONSOLE}
{$INCLUDE 'UpdVer.inc'}
{$R *.res}

uses
  SysUtils,
  Classes,
  Windows,
  uConsoleApp,
  uUpdVer in 'uUpdVer.pas';

var ErrorMsg: string;

begin
  try
    try
      ExitCode := ExecuteConsoleApp(TUpdVer);
    except
      on E: Exception do
      begin
        ErrorMsg := Format('Exception %s: %s', [E.ClassName, E.Message]);
        if TConsoleApp.HasConsole = csOwnConsole then
          Writeln(ErrorMsg)
        else
          MessageBox(0, PChar(ErrorMsg), 'UpdVer', MB_OK or MB_ICONERROR or MB_TASKMODAL);
        ExitCode := 255;
      end;
    end;
  finally
    {$IFDEF DELPHI7_UP}
      {$WARN SYMBOL_PLATFORM OFF}
    {$ENDIF}
    if DebugHook <> 0 then
    begin
      Writeln;
      Write('Press any key to quit.');
      Readln;
    end;
    {$IFDEF DELPHI7_UP}
      {$WARN SYMBOL_PLATFORM OFF}
    {$ENDIF}
  end;
end.

